# Add shipping information

> `POST https://api.kustom.co/ordermanagement/v1/orders/{order_id}/shipping-info`

Add shipping info to an order. Read more on [Adding shipping info](https://docs.kustom.co/contents/order-management/manage-orders-with-the-api/view-and-change-orders#update-shipping-address)

## Parameters

- `order_id` (string, path, required) — Order id
- `Klarna-Idempotency-Key` (string, header) — This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

## Request body

`application/json`

- `shipping_info[]` (array<object>, required) — New shipping info. Maximum: 500 items.
  - `return_shipping_company` (string) — Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL'
  - `return_tracking_number` (string) — Tracking number for the return shipment. Maximum 100 characters.
  - `return_tracking_uri` (string) — URL where the customer can track the return shipment. Maximum 1024 characters.
  - `shipping_company` (string) — Name of the shipping company (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL'
  - `shipping_method` (string) — Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery)
  - `tracking_number` (string) — Tracking number for the shipment. Maximum 100 characters.
  - `tracking_uri` (string) — URI where the customer can track their shipment. Maximum 1024 characters.

### Example request

```json
{
  "shipping_info": [
    {
      "return_shipping_company": "DHL SE",
      "return_tracking_number": 93456415674545680000,
      "return_tracking_uri": "http://shipping.example/findmypackage?93456415674545679888",
      "shipping_company": "DHL SE",
      "shipping_method": "Home",
      "tracking_number": 63456415674545680000,
      "tracking_uri": "http://shipping.example/findmypackage?63456415674545679874"
    }
  ]
}
```

## Responses

### 204

Shipping information was appended.

### 404

Order not found.

`application/json`

- `correlation_id` (string) — Correlation id. For searching logs.
- `error_code` (string) — Error code
- `error_messages[]` (array<string>) — Error messages

```json
{
  "correlation_id": "66782175-ae05-44fc-9eb3-eeceadbad271",
  "error_code": "NO_SUCH_ORDER",
  "error_messages": [
    "<string>"
  ]
}
```

### 409

Conflict

`*/*`

```json
"<string>"
```
